org.apache.sysds.runtime.compress.lib

## Class CLALibRightMultBy

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibRightMultBy

    public class CLALibRightMultBy
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CLALibRightMultBy()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `rightMultByMatrix(CompressedMatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k)`
`static MatrixBlock` `rightMultByMatrix(CompressedMatrixBlock m1, MatrixBlock m2, MatrixBlock ret, int k, boolean allowOverlap)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibRightMultBy

    public CLALibRightMultBy()

### Method Detail

#### rightMultByMatrix

    public static MatrixBlock rightMultByMatrix(CompressedMatrixBlock m1,
                                                MatrixBlock m2,
                                                MatrixBlock ret,
                                                int k)

#### rightMultByMatrix

    public static MatrixBlock rightMultByMatrix(CompressedMatrixBlock m1,
                                                MatrixBlock m2,
                                                MatrixBlock ret,
                                                int k,
                                                boolean allowOverlap)